<template id="resource-menu">
  <style class="fontawesomeness">/* see programmatic insertion of dom.css() */</style>
  <link rel="stylesheet" href="/huviz/css/introscreens.css" type="text/css">
  <link rel="stylesheet" href="/huviz/css/resourcemenu.css" type="text/css">
  <!--puts navbar in upper left, which currently does not work-->
  <!--div class="navbar">
    <div class="logo">
      <a href="https://huviz.lincsproject.ca/">
      <img src="/images/HuVizLogo.svg"></img>
      </a>
    </div>
    <!--div class="navbar-item">
      <a>Docs</a>
    </div>
    <div class="navbar-item" id="gotoAbout">
      <a>About</a>
    </div>
    <div class="navbar-item" id="gotoCredit">
      <a>Credits</a>
    </div>
    <div class="navbar-item">
      <a href="https://gitlab.com/calincs/access/huviz" target="_blank">Gitlab</a>
    </div>
  </div-->

  <div class="bigbox floating-circle">
    <!--header>
      <a onclick="location.reload()"><i class="fas fa-home"></i></a>
    </header-->

    <main class="onFirst">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Welcome to HuViz</h1>
          <p>
            The Humanities Visualizer (HuViz) lets you explore the semantic
            relationships in linked datasets through interactive graphs.
          </p>
        </div>
        <div class="option-list">
          <div class="option">
            <button class="primary" id="gotoStart">Start</button>
            <p class="button-info">Pick a preloaded dataset, load your own file, or query
            an online knowledge base</p>
          </div>
          <div class="option">
            <button class="primary" id="gotoContinue">Continue</button>
            <p class="button-info">Load an earlier HuViz session</p>
          </div>
        </div>
      </div>
    </main>



    <form class="local_file_form supports-dnd" XXXmethod="post" action="" enctype="multipart/form-data">

      <main class="onStart">
        <div class="displayscreen">
          <div class="screen-info">
            <h1>Start</h1>
            <p>
              Pick a preloaded dataset, load your own file, or query an online knowledge base
            </p>
            <div class="action-button-bar">
              <button class="back" id="esc">
                <i class="fas fa-chevron-left"></i>   Back
              </button>
            </div>
          </div>
          <div class="option-list" flex-basis="25%">
            <div class="option">
              <button class="primary" id="gotoBrowse">Load</button>
              <p class="button-info">Load an exising or community contributed dataset</p>
            </div>
            <div class="option">
              <button class="primary" id="gotoUpload">Upload</button>
              <p class="button-info">Upload your own dataset or drag and drop anywhere on the page</p>
            </div>
            <div class="option">
              <button class="primary" id="gotoQuery">Search</button>
              <p class="button-info">Search an online knowledge base</p>
            </div>

            <div class="option input">
              <div class="dndloaderHere">
                <div class="box__input" style="display:none">
                  <div class="box__dragndrop" style="display:none">
                    Drop URL or file here
                  </div>
                </div>
                <input class="url-input" name="datasetUri" type="url"
                       text="accepts extension jsonld|nt|nq|owl|rdf|ttl|trig|xml"
                       pattern=".*(jsonld|nt|nq|owl|rdf|ttl|trig|xml)$"
                       accept=".trig,.ttl,.jsonld,.nt,.owl,.rdf,.nq,.xml"
                       class="box__uri"
                       placeholder="Or enter URL here" />
                <!--<button id="gotoURL2" disabled=disabled><i class="fas fa-sign-in-alt"></i></button>-->
                <button class="action box__upload_button" type="submit">Load URL</button>
                <div class="box__uploading" style="display:none">Uploading&hellip;</div>
                <div class="box__success" style="display:none">Done!</div>
                <div class="box__error" style="display:none">Error! <span></span>.</div>
              </div>
            </div>
          </div>
        </div>
      </main>

      <main class="onUpload">
        <div class="displayscreen">
          <div class="screen-info">
            <h1>Upload</h1>
            <p>Import a dataset to visualize</p>
            <div class="action-button-bar">
              <button class="back" id="esc">
                <i class="fas fa-chevron-left"></i>   Back
              </button>
              <button class="action disabled" id="vizUpload" type="submit"
                          disabled=disabled>Load</button>
            </div>
          </div>
          <div class="file-upload">
            <h3>Upload Dataset</h3>
            <div class="file-input">
              <div class="file-input-info">
                <input id="datasetUpload" type="file" name="uploadDataset"
                       accept=".trig, .ttl, .jsonld, .nt, .owl, .rdf">
                <p>Supported file formats .ttl, .json, .owl</p>
              </div>
              <button class="secondary"><label for="datasetUpload">Choose File</label></button>
            </div>
            <h3>Upload Ontology</h3>
            <div class="file-input">
              <div class="file-input-info">
                <input id="ontologyUpload" type="file" name="uploadOntology"
                     accept=".trig, .ttl, .jsonld, .nt, .owl, .rdf">
                <p>Supported file formarts .ttl, .json, .owl</p>
              </div>
              <span id="ontologyTitle">Default Ontology</span>
              <input id="defaultOntologyUri" type="uri" value="/data/owl_mini.ttl"/>
              <input id="defaultOntologyName" type="text" value="OWL Mini"/>
              <button class="secondary"><label for="ontologyUpload">Choose File</label></button>
            </div>
          </div>
        </div>
      </main>
    </form>

    <main class="onBrowse">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Load</h1>
          <p>
            Load an existing or community contributed dataset
          </p>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
          </div>
        </div>
        <div class="category-list">
          <div id="datasetHere"></div>
          <div id="ontologyHere" style="display:none"></div>
          <pick-or-provide></pick-or-provide>
          <pick-or-provide></pick-or-provide>
        </div>
      </div>
    </main>

    <main class="onGo">
      <i id="esc">Back to Start Menu</i>
      <h1>about to visualize</h1>
      <div class="content">
        <dl>
          <dt>Dataset</dt>
          <dd>
            <span id="loadingDatasetName"></span>
            <span id="loadingDatasetUri"></span>
          </dd>
          <dt>Ontology</dt>
          <dd>
            <span id="loadingOntologyName"></span>
            <span id="loadingOntologyUri"></span>
          </dd>
        </dl>
        <div class="fa-3x">
          <i class="fas fa-spinner fa-spin"></i>
        </div>
      </div>
    </main>

    <main class="onContinue">
      <div class="display-screen">
        <div class="displayscreen">
          <div class="screen-info">
            <h1>Continue</h1>
            <p>
              Continue a previous session
            </p>
            <div class="action-button-bar">
              <button class="back" id="esc">
                <i class="fas fa-chevron-left"></i>   Back
              </button>
            </div>
          </div>
          <div class="content">
            <p>Continue a previous session</p>
            <div id="scriptHere"></div>
          </div>
        </div>
      </div>
    </main>

    <main class="onScriptDetail">
      <i id="esc">Back to Start Menu</i>
      <h1>Continue a Session</h1>
      <div class="content">
        <p>Continue a previous session</p>
      </div>
    </main>

    <main class="onQuery">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Search</h1>
          <p>
            Select an online knowledge base to query
          </p>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
          </div>
        </div>
        <div class="category-list">
          <div id="endpointHere">
          </div>
        </div>
      </div>
    </main>

    <!-- <main class="onQueryDropdowns">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Search</h1>
          <p>
            Select an online knowledge base to query
          </p>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
          </div>
        </div>
        <div class="query-dropdowns">
          <div class="dropdown">
            <button id="endpoints-dd" class="dropbtn">
              Endpoints
              <i class="fas fa-chevron-down"></i>
            </button>
            <div class="endpoints-dd-content dropdown-content">
              <div id="endpointHere"></div>
            </div>
          </div>
          <div class="dropdown">
            <button id="graphs-dd" class="dropbtn">
              Graphs
              <i class="fas fa-chevron-down"></i>
            </button>
            <div class="graphs-dd-content dropdown-content">
              <div>KB 1</div>
              <div>KB 2</div>
              <div>KB 3</div>
              <div>KB 4</div>
            </div>
          </div>
        </div>
      </div>
    </main> -->

    <main class="onQueryDetail" style="display:none">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Search</h1>
          <p>
            Select the knowledge graph, node limit, and starting node
          </p>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
            <button class="disabled" disabled=disabled id="gotoVisQuery">LOAD</button>
          </div>
        </div>
        <div class="graph-select">
          <div id="sparqlDetailHere" class="sparqlDetail">
              <select style="display:none" slot="graphSelector" id="sparqlGraphOptions" class="before-select">
              </select>
            <div id="sparqlGraphSpinner"
                 style="display:none;font-style:italic;">
              <i class="fas fa-spinner fa-spin"></i>
              Looking for graphs...
            </div>
            <div id="sparqlQryInput" class="sparqlQryInput">
              <div class="query-input">
                <div>
                  <input class="sparql-input" id="endpoint_labels" placeholder="Starting Node Name">
                </div>
                <i class="fas fa-spinner fa-spin" style="visibility:hidden;"></i>
                <div>
                  <input class="sparql-input" id="endpoint_limit" placeholder="Node Limit">
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>


    </main>


    <main class="onCredit">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>Credits</h1>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
          </div>
        </div>
        <div class="content tabs-credits">
        </div>
      </div>
    </main>

    <main class="onAbout">
      <div class="displayscreen">
        <div class="screen-info">
          <h1>About</h1>
          <div class="action-button-bar">
            <button class="back" id="esc">
              <i class="fas fa-chevron-left"></i>   Back
            </button>
          </div>
        </div>
        <div class="about-info">
          <p>The Humanities Visualizer (HuViz) interface allows for the exploration
            of semantic relationships and ontologies represented using the Resource
            Description Framework (RDF).
          </p>
          <p>You can load your own ontology and/or dataset, or you can chose to explore
            an existing dataset.
          </p>

          <div class="triple-example">
            <p>RDF triples can assert things like:</p>
            <p><span class="ex-sub">Virginia Woolf</span>
              <span class="ex-pred">hasGender</span>
              <span class="ex-obj">woman</span></p>
              <p><span class="ex-sub">Virginia Woolf</span>
                <span class="ex-pred">inhabits</span>
                <span class="ex-obj">London</span></p>
          </div>
          <p>In addition to datasets, HuViz is also able to display ontologies,
            the formal definition of things and relationships. Supported extensions
            are: .jsonld, .nq, .nquads, .nt, .n3, .trig, .ttl, .rdf and .xml
          </p>
          <p>HuViz is Available on GitLab<br>
            Datasets: CC - Attribution-NonCommercial<br>
            Screenshots of HuViz: CC - Attribution
          </p>
        </div>
      </div>
    </main>

    <div class="navbar" style="justify-content: center; height: 3vw;">
      <div class="navbar-item">
        <a>Docs</a>
      </div>
      <div class="navbar-item" >
        <a id="gotoAbout">About</a>
      </div>
      <div class="navbar-item">
        <a id="gotoCredit">Credits</a>
      </div>
      <div class="navbar-item">
        <a href="https://gitlab.com/calincs/access/huviz" target="_blank">Gitlab</a>
      </div>
    </div>
    <div class="logo">
      <a href="https://huviz.lincsproject.ca/">
      <img src="/images/HuVizLogo.svg"></img>
      </a>
    </div>
  </div>


</template>
